Feature request : round corner rectangle

About the development of the Part Design module/workbench. PLEASE DO NOT POST HELP REQUESTS HERE!
Forum rules
Be nice to others! Respect the FreeCAD code of conduct!
edi
Posts: 483
Joined: Fri Jan 17, 2020 1:32 pm

Re: Feature request : round corner rectangle

Post by edi »

@chrisb: use this short script, creating a triangle:

Code: Select all

from FreeCAD import Part	# these two lines
from FreeCAD import Sketcher	# produce the bugs

geoList = [] 
geoList.append(Part.LineSegment(App.Vector(-10,10,0),App.Vector(10,10,0)))
geoList.append(Part.LineSegment(App.Vector(10,10,0),App.Vector(10,-10,0)))
geoList.append(Part.LineSegment(App.Vector(10,-10,0),App.Vector(-10,10,0)))
ActiveSketch.addGeometry(geoList,False)
App.ActiveDocument.recompute()
The important lines are the first two:

Code: Select all

from FreeCAD import Part	# these two lines
from FreeCAD import Sketcher	# produce the bugs
Test procedure is always:
- restart FreeCAD
- create a new, empty document in Part Design
- create an empty sketch
- run the script, while the sketch is active. It draws a triangle
- create a pad using the triangle as basis
- try to fillet an edge (or another operation)

Pass 4 tests:
- both lines are active --> bug 1
- only the first line is active --> bug 2
- only the second line is active --> test OK
- none of the lines is active --> test OK
chrisb
Veteran
Posts: 54313
Joined: Tue Mar 17, 2015 9:14 am

Re: Feature request : round corner rectangle

Post by chrisb »

I know how to test, but I still cannot see what is wrong with the sketch.
A Sketcher Lecture with in-depth information is available in English, auf Deutsch, en français, en español.
Post Reply